[PATCH] libosmocore[master]: cosmetic: test for osmo-auc-gen: print error for missing binary

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Sat Aug 26 21:33:03 UTC 2017


Review at  https://gerrit.osmocom.org/3696

cosmetic: test for osmo-auc-gen: print error for missing binary

Change-Id: I98c23ae6378a16cf3b76c90d4ea0dfcf61ff3033
---
M tests/osmo-auc-gen/osmo-auc-gen_test.sh
1 file changed, 6 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/libosmocore refs/changes/96/3696/1

diff --git a/tests/osmo-auc-gen/osmo-auc-gen_test.sh b/tests/osmo-auc-gen/osmo-auc-gen_test.sh
index 7842638..132d9c3 100755
--- a/tests/osmo-auc-gen/osmo-auc-gen_test.sh
+++ b/tests/osmo-auc-gen/osmo-auc-gen_test.sh
@@ -1,6 +1,12 @@
 #!/bin/sh
 osmo_auc_gen="$1"
 
+if [ -z "$osmo_auc_gen" ]; then
+	echo 'Error: pass a path to the osmo-auc-gen binary as argument:'
+	echo '       ./osmo-auc-gen_test.sh /path/to/osmo-auc-gen'
+	exit 1
+fi
+
 set -e
 
 # run the osmo-auc-gen binary verbosely without showing its absolute path

-- 
To view, visit https://gerrit.osmocom.org/3696
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I98c23ae6378a16cf3b76c90d4ea0dfcf61ff3033
Gerrit-PatchSet: 1
Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list